package cn.com.taiji.beidou.quartz.util;

import cn.com.taiji.beidou.quartz.domain.SysJob;
import org.quartz.DisallowConcurrentExecution;
import org.quartz.JobExecutionContext;

/**
 * 定时任务处理（禁止并发执行）
 * 
 * @author ruoyi
 *
 */
@DisallowConcurrentExecution
public class QuartzDisallowConcurrentExecution extends cn.com.taiji.beidou.quartz.util.AbstractQuartzJob
{
    @Override
    protected void doExecute(JobExecutionContext context, SysJob sysJob) throws Exception
    {
        cn.com.taiji.beidou.quartz.util.JobInvokeUtil.invokeMethod(sysJob);
    }
}
