package cn.com.taiji.beidou.ship.status.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author CHEN
 * @Date 2022/11/18 20:57
 */
@Data
public class OfflineShipReq {
    @ApiModelProperty("船舶编号或者设备号")
    private String shipId;
    @ApiModelProperty("部门ID")
    private String deptId;
    @ApiModelProperty(value = "是否在线 1在线 2离线",hidden = true)
    private String isOnline;
    @ApiModelProperty(hidden = true)
    private String devideNo;
    private Integer pageNum;
    private Integer pageSize;
    /**
     * 离线天数 1：0-7天，2：8-30天，3：30天以上
     */
    @ApiModelProperty("离线天数 1：0-7天，2：8-30天，3：30天以上")
    private Integer offlineDay;

    /**
     * 排序字段
     */
    private String sortField;
    /**
     * 排序类型 0 降序，1升序
     */
    private String sortType;
}
