package cn.com.taiji.beidou.ship.feign;

import com.alibaba.fastjson2.JSONObject;
import feign.Body;
import feign.Headers;
import feign.Param;
import feign.RequestLine;

/**
 * @author CHEN
 */
public interface OpenServiceFeign {

    /**
     * 船舶档案数据
     * @param body
     * @return
     */
    @RequestLine("POST /ship/bd/shipInfo/third/query")
    @Headers({"Content-Type: application/json"})
    @Body("{body}")
    JSONObject shipInfo(@Param("body") String body);

}
