package cn.com.taiji.beidou.ship.track.domain;

import cn.com.taiji.beidou.common.annotation.Excel;
import lombok.Data;

/**
 * @Author CHEN
 * @Date 2023/1/12 17:58
 */
@Data
public class ShipTrackResult {

    @Excel(name = "序号")
    private String serial;

    private String deviceId;

    @Excel(name = "发送位置时间")
    private String sendTime;
    @Excel(name = "船速")
    private String speed;
    @Excel(name = "船向")
    private String direction;
    @Excel(name = "经度")
    private String longitude;
    @Excel(name = "纬度")
    private String latitude;
}
