package cn.com.taiji.beidou.ship.warning.model.domain;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @Author CHEN
 * @Date 2022/11/20 10:23
 */
@Data
public class WarningModelReq {

    @ApiModelProperty("模型ID,修改时必传参数")
    private String modelId;

    @ApiModelProperty("模型编码")
    private String code;

    @ApiModelProperty("模型名称")
    private String modelName;

    @ApiModelProperty("模型描述")
    private String description;

    private List<ModelParam> paramList;

    @ApiModelProperty("预警区域ID,多个区域用逗号分开")
    private String areaList;

    @Data
    @Accessors(chain = true)
    public static class ModelParam{
        @ApiModelProperty("参数字典ID")
        private String paramDictId;
        @ApiModelProperty("参数推荐值")
        private String recommend;
        @ApiModelProperty("是否必填 false:非必填， true:必填")
        private Boolean isMust;

    }
}
